org.wso2.carbon.proxyadmin.stub.types.carbon

## Class ProxyAdminException

- java.lang.Object
- - org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyAdminException

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class ProxyAdminException
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  ProxyAdminException bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProxyAdminException.Factory` Factory class that keeps the parse method

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyAdminException()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyAdminException

          public ProxyAdminException()

  - ### Method Detail

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                   org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                       XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                       XMLStreamWriter xmlWriter,
                       boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2017 WSO2. All rights reserved.